/* RESET */
* {
  box-sizing: border-box;
}

body,
p,
h1,
h2,
ul,
li {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

body {
  font-family: Georgia, serif;
  color: #252525;
}

/* HEADER - MENU */
.header-informacoes {
  font-size: calc(14em / 16);
  background: #d6d3c8;
  padding: 5px 0;
  text-align: center;
}

.header-logo img {
  display: block;
  margin: 40px auto;
}

.header-menu {
  border-top: 3px solid #d6d3c8;
  border-bottom: 3px solid #d6d3c8;
  text-align: center;
  margin-bottom: 40px;
  padding: 20px 0;
}

.header-menu ul li {
  display: inline-block;
}

.header-menu a {
  font-size: calc(18em / 16);
  display: block;
  padding: 5px 10px 5px 0;
  text-decoration: none;
  color: #252525;
}

.header-menu li a::before {
  content: "•";
  padding-right: 10px;
}

.header-menu li:first-child a::before {
  content: "";
}

/* CONTEÚDO */
.container {
  max-width: 960px;
  margin: 0 auto;
}

.container::after,
.container::before {
  content: "";
  display: table;
  clear: both;
}

/* FILTRO */
.filtro {
  background-color: #e7e4d8;
  border: 3px solid #d6d3c8;
  width: 300px;
  margin: 0 10px;
  padding: 20px;
  float: left;
}

.filtro h2 {
  font-size: calc(18em / 16);
  margin-bottom: 20px;
  padding: 10px 0;
}

.filtro ul {
  border-top: 3px solid #c0beb4;
  border-bottom: 3px solid #c0beb4;
  padding: 10px 0;
}

.filtro li {
  font-size: calc(18em / 16);
  font-style: italic;
  line-height: calc(36em / 18);
}

.filtro li::after {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  border: 3px solid #c0beb4;
  float: right;
  margin-top: 5px;
}

.sabor {
  overflow: hidden;
}

.sabor span {
  text-indent: -200px;
  display: inline-block;
  width: 15px;
  height: 15px;
  background: currentColor;
  border-radius: 50%;
  vertical-align: middle;
}

.sabor-3 {
  color: #492901;
  box-shadow: 20px 0 0 0 currentColor, 40px 0 0 0 currentColor;
}

.sabor-4 {
  color: #c17139;
  box-shadow: 20px 0 0 0 currentColor, 40px 0 0 0 currentColor,
    60px 0 0 0 currentColor;
}

.sabor-5 {
  color: #d7a54d;
  box-shadow: 20px 0 0 0 currentColor, 40px 0 0 0 currentColor,
    60px 0 0 0 currentColor, 80px 0 0 0 currentColor;
}

/* Produtos */
.produtos {
  width: 620px;
  margin: 0 10px;
  float: left;
}

.produtos h1 {
  font-size: calc(48em / 16);
  font-weight: normal;
}

.produtos li {
  width: 300px;
  float: left;
}

.produtos li:nth-child(even) {
  margin-left: 20px;
}

.produtos li img {
  display: block;
  max-width: 100%;
  border: 3px solid white;
  box-shadow: 0 0 0 3px #252525;
  margin: 40px 3px 0 3px;
}

.produtos li span {
  font-size: calc(14em / 16);
  font-weight: bold;
  background: #e7e4d8;
  padding: 10px;
  position: relative;
  top: -15px;
}

.produtos li h2 {
  font-size: calc(14em / 16);
  font-weight: normal;
}

.footer {
  font-size: calc(18em / 16);
  line-height: calc(25.2em / 18);
  background: #e7e4d8;
  text-align: center;
  padding: 60px 0;
  margin-top: 80px;
}

@media (min-width: 740px) and (max-width: 980px) {
  .container {
    max-width: 720px;
  }

  .filtro {
    width: 220px;
  }

  .produtos {
    width: 460px;
  }

  .produtos li {
    width: 220px;
  }
}

@media (max-width: 739px) {
  .container {
    max-width: 300px;
  }

  .filtro {
    display: none;
  }

  .produtos {
    width: 300px;
  }

  .produtos li {
    width: 140px;
  }
}

/* Note1: para chegar nos valores de width para o responsivo, o calculo utilizado foi o tamanho do container dividido por 12 colunas, depois esse valor multiplicado pelo número de colunas que o elemento ocupa - 20px de gutter. Exemplo para a largura de produtos em tablet: 720/12 = 60. 60 * 8 = 480. 480 - 20 = 460px. */

/* Note2: Para chegar ao cálculo para criar as colunas de '.produtos li' para mobile, foi dividido 300px por 2 e subtraído 10px para dar distância entre as colunas. */
